Bug 446419 - /etc/sysconfig/network-scripts/ifup-eth: arping not in ordinary path
/etc/sysconfig/network-scripts/ifup-eth: arping not in ordinary path
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 11:19 EDT by Paul Bolle
Modified: 2014-03-16 23:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-31 06:37:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2008-05-14 11:19:40 EDT
Description of problem:
ordinary users can't run etc/sysconfig/network-scripts/ifup-eth (and thus
/sbin/ifup eth?).

Version-Release number of selected component (if applicable):
initscripts-8.76.1-1.i386

How reproducible:
always

Steps to Reproduce:
1. /sbin/ifup eth?
2.
3.
  
Actual results:
/sbin/ifup eth0
/etc/sysconfig/network-scripts/ifup-eth: line 267: arping: command not found
Error, some other host already uses address [...].

Expected results:
No error, interface up.

Additional info:
This is fixable by replacing arping with /sbin/arping in [...]/ifup-eth. If
needed, I'd be happy to provide a (trivial) patch.

However, note that a fix like that would also need some SELinux adjustments:
May 14 17:13:10 [...] kernel: type=1400 audit(1210777990.023:18): avc:  denied 
{ execute } for  pid=9075 comm="ifup-eth" name="arping" dev=dm-0 ino=3633778
scontext=unconfined_u:unconfined_r:usernetctl_t:s0-s0:c0.c1023
tcontext=system_u:object_r:netutils_exec_t:s0 tclass=file
May 14 17:13:12 [...] kernel: type=1400 audit(1210777992.028:21): avc:  denied 
{ execute } for  pid=9124 comm="ifup-eth" name="arping" dev=dm-0 ino=3633778
scontext=unconfined_u:unconfined_r:usernetctl_t:s0-s0:c0.c1023
tcontext=system_u:object_r:netutils_exec_t:s0 tclass=file
Comment 1 Bill Nottingham 2008-05-14 12:38:31 EDT
Are you using USERCTL in this case?
Comment 2 Paul Bolle 2008-05-14 19:50:41 EDT
$ grep USERCTL /etc/sysconfig/network-scripts/ifcfg-eth0 
USERCTL=yes
$ /sbin/ifup eth0
/etc/sysconfig/network-scripts/ifup-eth: line 267: arping: command not found
Error, some other host already uses address [...].
Comment 3 Paul Bolle 2008-08-31 06:37:41 EDT
Can not reproduce anymore. I'm running initscripts-8.76.2-1.i386 now. Do not know what has changed and/or when. I was running "sudo /sbin/ifup eth?" some months now.

Blame SELinux? Blame myself? I'd guess this should be CLOSED/DUNNO.
Comment 4 Bill Nottingham 2008-09-02 14:14:16 EDT
Well, the scripts generally set PATH, so it should just work. In any case, passing the full path shouldn't break anything, so that's what's done in git. Will be changed in rawhide eventually.

Note You need to log in before you can comment on or make changes to this bug.